Summary:        Oslo VMware library for OpenStack projects
Name:           python-oslo-vmware
Version:        3.8.0
Release:        4%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/oslo.vmware
Source0:        https://tarballs.openstack.org/oslo.vmware/oslo.vmware-%{version}.tar.gz
BuildArch:      noarch

%description
Oslo VMware library for OpenStack projects

%package -n python3-oslo-vmware
Summary:        Oslo VMware library for OpenStack projects
BuildRequires: python3-devel python3-pbr python3-pip git python3-ddt python3-fixtures python3-mock python3-stestr
BuildRequires: python3-subunit python3-testtools python3-suds python3-oslo-concurrency python3-oslo-context
BuildRequires: python3-oslo-utils python3-oslo-i18n python3-eventlet python3-oslo-i18n python3-oslo-utils
BuildRequires: python3-requests python3-suds python3-netaddr python3-testscenarios python3-babel python3-lxml
Requires: python3-pbr python3-eventlet python3-oslo-concurrency python3-oslo-context python3-oslo-i18n python3-oslo-utils
Requires: python3-stevedore python3-suds python3-urllib3 python3-netaddr python3-lxml python3-PyYAML
Requires: python-oslo-vmware-lang = %{version}-%{release} python3-requests

%description -n python3-oslo-vmware
Oslo VMware library for OpenStack projects

%package -n python-oslo-vmware-doc
Summary:    Documentation for OpenStack common VMware library
BuildRequires: python3-sphinx python3-sphinxcontrib-apidoc python3-openstackdocstheme

%description -n python-oslo-vmware-doc
Documentation for OpenStack common VMware library.

%package  -n python-oslo-vmware-lang
Summary:   Translation files for Oslo vmware library

%description -n python-oslo-vmware-lang
Translation files for Oslo vmware library

%prep
%autosetup -n oslo.vmware-%{version}
sed -i '/eventlet/s/!=0.20.1,//' requirements.txt
sed -i '/lxml/s/,>=3.4.1//' requirements.txt
sed -i '/suds-jurko>=0.6/d' requirements.txt

%build
%{py3_build}

sphinx-build-3 -b html doc/source doc/build/html
rm -rf doc/build/html/.{doctrees,buildinfo}
python3 setup.py compile_catalog -d build/lib/oslo_vmware/locale --domain oslo_vmware

%install
%{py3_install}

install -d -m 755 %{buildroot}%{_datadir}
rm -f %{buildroot}%{python3_sitelib}/oslo_vmware/locale/*/LC_*/oslo_vmware*po
rm -f %{buildroot}%{python3_sitelib}/oslo_vmware/locale/*pot
mv %{buildroot}%{python3_sitelib}/oslo_vmware/locale %{buildroot}%{_datadir}/locale

%find_lang oslo_vmware --all-name

%check
rm -f ./oslo_vmware/tests/test_hacking.py
export OS_TEST_PATH="./oslo_vmware/tests"
PYTHON=python3 stestr-3 --test-path $OS_TEST_PATH run

%files -n python3-oslo-vmware
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_vmware
%{python3_sitelib}/*.egg-info

%files -n python-oslo-vmware-doc
%license LICENSE
%doc doc/build/html

%files -n python-oslo-vmware-lang -f oslo_vmware.lang
%license LICENSE

%changelog
* Wed May 17 2023 Shuo Wang <abushwang@tencent.com> - 3.8.0-4
- rename requires from suds-community to pyton3-suds

* Tue May 16 2023 Shuo Wang <abushwang@tencent.com> - 3.8.0-3
- update buildrequires from python3-suds2 to pyton3-suds

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.8.0-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 Shuo Wang <abushwang@tencent.com> - 3.8.0-1
- initial build
